<?php
/* Busqueda de registros de la tabla ALM_InventarioFisicoPesaje redefinidos por el usuario. */
class ALM_InventarioFisicoPesajeFN extends BaseALM_InventarioFisicoPesajeFN
{
	/**
	 * Recupero el Id + 1
	 *
	 * @return int
	 */
	public static function recuperarId( $IdCompania, $IdNumeroInventario, $IdSecuencia )
	{
		/*$s_Sql = "SELECT IF( MAX( IdPesaje ) IS NULL, 1, MAX( IdPesaje ) + 1 ) i_Id  FROM ALM_InventarioFisicoPesaje WHERE IdCompania='$IdCompania' AND IdNumeroInventario='$IdNumeroInventario' AND IdSecuencia='$IdSecuencia';";
		$o_DBConnect = Conexion::getConexion();
		$o_SQLResult = mysql_query( $s_Sql, $o_DBConnect->getResource() );
		$a_Row = mysql_fetch_array( $o_SQLResult );
		return $a_Row['i_Id'];*/
	}
	
	public static function buscarLongitudPesaje( $IdCompania, $IdNumeroInventario, $IdSecuencia, $IdPesaje )
	{
	    /*$s_Sql = "SELECT Longitud 
	               FROM ALM_InventarioFisicoPesaje
	               WHERE IdCompania='$IdCompania' 
	                   AND IdNumeroInventario='$IdNumeroInventario' 
	                   AND IdSecuencia='$IdSecuencia'
	                   AND IdPesaje='$IdPesaje';";
	    $o_DBConnect = Conexion::getConexion();
	    $o_SQLResult = mysql_query( $s_Sql, $o_DBConnect->getResource() );
	    //pr( mysql_error() );
	    $a_Row = mysql_fetch_array( $o_SQLResult );
	    return $a_Row['Longitud'];*/
	}
}
?>